SITESUMMARY2LDAPDHCP(1)

NAME
sitesummary2ldapdhcp - update or add LDAP machine objects

SYNOPSIS
sitesummary2ldapdhcp [-adiut] [LDAP server FQDN] [LDAP base]

DESCRIPTION
Update or add machine objects to LDAP based on Sitesummary information. Both the FQDN of the LDAP server and the base DN to use should be found automatically.

OPTIONS
These are the options that can appear on the command line:

-a  add new hosts as well as update existing hosts

-d  enable debug output

-i ID
    only handle host with the given sitesummary ID

-u FILTER
    filter used to find the LDAP user for updating LDAP

-t TYPE
    type of system(s) to add. TYPE can be: servers, workstations, terminals, netdevices or printers; defaults to workstations if omitted

AUTHORS
Debian Edu Team, https://blends.debian.org/edu